Bug 1206852 (ghc-8.0) - ghc-8.0.2 is available
Summary: ghc-8.0.2 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: ghc-8.0
Product: Fedora
Classification: Fedora
Component: ghc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1215546 ghc-old-time llvm37, llvm3.7
Blocks: 1291067 1338781 1338791 ghc-7.10.3
TreeView+ depends on / blocked
 
Reported: 2015-03-29 00:31 UTC by Upstream Release Monitoring
Modified: 2017-03-01 08:37 UTC (History)
3 users (show)

Fixed In Version: ghc-8.0.2-57.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
: ghc-7.10.3 (view as bug list)
Environment:
Last Closed: 2017-03-01 08:37:10 UTC


Attachments (Terms of Use)
[patch] Update to 7.10.3 (#1206852) (1.19 KB, patch)
2016-01-05 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.66 KB, patch)
2016-05-21 20:31 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.49 KB, patch)
2017-01-12 00:18 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-03-29 00:31:56 UTC
Latest upstream release: 7.10.1
Current version/release in rawhide: 7.8.4-42.2.fc23
URL: http://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-03-29 00:34:08 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9358309

Comment 2 Jens Petersen 2015-04-03 06:43:13 UTC
See https://github.com/fedora-haskell/ghc for packaging.
It should reach copr soon...

Comment 3 Jens Petersen 2015-05-15 07:08:55 UTC
There is a copr repo now:

 https://copr.fedoraproject.org/coprs/petersen/ghc-7.10.1

(Also 7.10.2 snapshot build:
https://copr.fedoraproject.org/coprs/petersen/ghc-7.10.2 )

Comment 4 Jens Petersen 2015-05-20 07:19:19 UTC
7.10 needs 3.5.0 < llvm < 3.6 to build (3.5.0 is buggy) on armv7.

Comment 5 Jens Petersen 2015-05-20 07:20:46 UTC
(tested on armv7hl by adding

+  --with-llc=%{_bindir}/llc --with-opt=%{_bindir}/opt \

to configure options in ghc.spec)

Comment 6 Peter Robinson 2015-05-20 09:35:16 UTC
(In reply to Jens Petersen from comment #4)
> 7.10 needs 3.5.0 < llvm < 3.6 to build (3.5.0 is buggy) on armv7.

So there's 3.4 built is there not?

Let me know when you want a side tag to build it in rawhide.

Comment 7 Jens Petersen 2015-05-21 00:51:16 UTC
7.10.1.20150511 quick build seems to succeed on F22 ppc64, ppc64le,
s390, and s390x.

Comment 8 Jens Petersen 2015-05-21 00:52:38 UTC
(In reply to Peter Robinson from comment #6)
> (In reply to Jens Petersen from comment #4)
> > 7.10 needs 3.5.0 < llvm < 3.6 to build (3.5.0 is buggy) on armv7.
> 
> So there's 3.4 built is there not?

Yes, but llvm-3.4 is too old for ghc-7.10.

I am planning to do a llvm35 package for F23 for this.

Comment 9 Jens Petersen 2015-05-21 05:57:12 UTC
So to summarize the current problems are on ARM:

armv7: needs llvm-3.5.[12]

aarch64: ld.gold makes configure fail (bug 1215546)
(perhaps can patch to use ld.bfd - though that has other problems)
- there may be more problems lurking behind that...

Though 7.10.1 seems to build ok on aarch64 (like 7.8.4).

Comment 10 Jens Petersen 2015-05-22 01:27:51 UTC
For the record:

# 7.10.1 and 7.10.1.20150511 fail on f22 armv7 with llvm34 like this:

"inplace/bin/ghc-stage1" -optc-fno-stack-protector -optc-Wall -optc-Wextra -optc-Wstrict-prototypes -optc-Wmissing-prototypes -optc-Wmissing-declarations -optc-Winline -optc-Waggregate-return -optc-Wpointer-arith -optc-Wmissing-noreturn -optc-Wnested-externs -optc-Wredundant-decls -optc-Iincludes -optc-Iincludes/dist -optc-Iincludes/dist-derivedconstants/header -optc-Iincludes/dist-ghcconstants/header -optc-Irts -optc-Irts/dist/build -optc-DCOMPILING_RTS -optc-DUSE_LIBFFI_FOR_ADJUSTORS -optc-fno-strict-aliasing -optc-fno-common -optc-Irts/dist/build/autogen -optc-O2 -optc-fomit-frame-pointer -optc-g -optc-DDYNAMIC -optc-DRtsWay=\"rts_dyn\" -fPIC -dynamic  -H32m -O -Iincludes -Iincludes/dist -Iincludes/dist-derivedconstants/header -Iincludes/dist-ghcconstants/header -Irts -Irts/dist/build -DCOMPILING_RTS -this-package-key rts -dcmm-lint      -i -irts -irts/dist/build -irts/dist/build/autogen -Irts/dist/build -Irts/dist/build/autogen           -O2    -c rts/ProfHeap.c -o rts/dist/build/ProfHeap.dyn_o
/tmp/ghc575_0/ghc575_6.s: Assembler messages:
/tmp/ghc575_0/ghc575_6.s:1226:0:
     Error: can't resolve `.rodata' {.rodata section} - `stg_DEAD_WEAK_info$def' {.text section}
/tmp/ghc575_0/ghc575_6.s:1235:0:
     Error: can't resolve `.rodata' {.rodata section} - `stg_C_FINALIZER_LIST_info$def' {.text section}
/tmp/ghc575_0/ghc575_6.s:1244:0:
     Error: can't resolve `.rodata' {.rodata section} - `stg_NO_FINALIZER_info$def' {.text section}
/tmp/ghc575_0/ghc575_6.s:1333:0:
     Error: can't resolve `.rodata' {.rodata section} - `stg_END_STM_WATCH_QUEUE_info$def' {.text section}


# 7.10.1.20150511 fails on f23 armv7 with llvm-3.6 like this:

"inplace/bin/ghc-stage1" -static  -H32m -O -Iincludes -Iincludes/dist -Iincludes/dist-derivedconstants/header -Iincludes/dist-ghcconstants/header -Irts -Irts/dist/build -DCOMPILING_RTS -this-package-key rts -dcmm-lint      -i -irts -irts/dist/build -irts/dist/build/autogen -Irts/dist/build -Irts/dist/build/autogen           -O2    -c rts/Updates.cmm -o rts/dist/build/Updates.o
You are using a new version of LLVM that hasn't been tested yet!
We will try though...
/usr/bin/opt: /tmp/ghc30791_0/ghc30791_2.ll:7:6: error: unexpected type in metadata definition
!0 = metadata !{metadata !"top", i8* null}
     ^
rts/ghc.mk:236: recipe for target 'rts/dist/build/StgStartup.o' failed


# 7.10.1.20150511 fails on f22 armv7 with llvm-3.5.0 like this:

checking /usr/bin/opt is version 3.5... yes
checking whether bootstrap compiler is affected by bug 9439... no
checking if llvm version is affected by bug 9920... yes
configure: error: in `/builddir/build/BUILD/ghc-7.10.1.20150511':
configure: error: Cannot compile for ARM with /usr/bin/llc. See GHC trac ticket #9920.
See `config.log' for more details

Comment 11 Upstream Release Monitoring 2015-07-30 00:20:52 UTC
Latest upstream release: 7.10.2
Current version/release in rawhide: 7.8.4-46.fc23
URL: http://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 12 Upstream Release Monitoring 2015-07-30 00:22:42 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-i_AEDc/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-i_AEDc/100.0%: No such file or directory

Comment 13 Peter Robinson 2015-09-17 11:58:19 UTC
Let me know when you want a side tag for building

Comment 14 Upstream Release Monitoring 2016-01-05 00:18:19 UTC
Latest upstream release: 7.10.3
Current version/release in rawhide: 7.8.4-46.fc23
URL: http://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 15 Upstream Release Monitoring 2016-01-05 00:19:42 UTC
Created attachment 1111602 [details]
[patch] Update to 7.10.3 (#1206852)

Comment 16 Upstream Release Monitoring 2016-01-05 00:21:39 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12409763

Comment 17 Upstream Release Monitoring 2016-05-21 20:28:53 UTC
Latest upstream release: 8.0.1
Current version/release in rawhide: 7.8.4-47.fc24
URL: http://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/906/

Comment 18 Upstream Release Monitoring 2016-05-21 20:31:20 UTC
Patching or scratch build for ghc-7.8.4 failed.

Comment 19 Upstream Release Monitoring 2016-05-21 20:31:22 UTC
Created attachment 1160213 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 20 Upstream Release Monitoring 2016-05-21 20:31:25 UTC
Patches were not touched. All were applied properly

Comment 21 Jens Petersen 2016-05-24 09:42:55 UTC
You can try my Copr repo:

https://copr.fedorainfracloud.org/coprs/petersen/ghc-8.0.1/

Comment 22 Jens Petersen 2016-05-31 07:42:25 UTC
Needs llvm37!

Comment 23 Jens Petersen 2016-06-23 01:25:04 UTC
Hopefully we will get ghc-8.0 into Fedora 26.

Comment 24 Jens Petersen 2016-07-13 00:59:40 UTC
I plan to build this for Rawhide (in side tag again) after F25 branches.

Comment 25 Jens Petersen 2016-10-07 10:35:41 UTC
llvm3.7 is in Fedora now and with armv7hl and aarch64 quick build. :)

Comment 26 Upstream Release Monitoring 2017-01-12 00:15:30 UTC
Latest upstream release: 8.0.2
Current version/release in rawhide: 7.10.3-52.fc26
URL: https://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/906/

Comment 27 Upstream Release Monitoring 2017-01-12 00:18:08 UTC
Patching or scratch build for ghc-7.10.3 failed.

Comment 28 Upstream Release Monitoring 2017-01-12 00:18:10 UTC
Created attachment 1239678 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 29 Upstream Release Monitoring 2017-01-12 00:18:13 UTC
Patches were not touched. All were applied properly

Comment 30 Jens Petersen 2017-01-17 05:54:01 UTC
You can test it from my copr repo:

https://copr.fedorainfracloud.org/coprs/petersen/ghc-8.0.2

Comment 31 Upstream Release Monitoring 2017-02-17 12:51:11 UTC
petersen's ghc-8.0.2-56.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=859825

Comment 32 Upstream Release Monitoring 2017-02-19 15:04:18 UTC
petersen's ghc-8.0.2-57.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=859883


Note You need to log in before you can comment on or make changes to this bug.